Phar::getVersion
Phar::interceptFileFuncs
Phar
PHP Manual

# Phar::hasMetaData

(PECL phar:1.2.0-1.2.1)

Phar::hasMetaData — Returns whether phar has global meta-data

### Description

int Phar::hasMetadata ( void )

Returns whether phar has global meta-data set.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if meta-data has been set, and `FALSE` if not.

### Examples

Example #1 A Phar::hasMetaData() example

`<?php
try {
$phar = new Phar('myphar.phar');
var_dump($phar->hasMetadata());
$phar->setMetadata(array('thing' => 'hi'));
var_dump($phar->hasMetadata());
$phar->delMetadata();
var_dump($phar->hasMetadata());
} catch (Exception $e) {
// handle error
}
?>`

The above example will output:

    bool(false)
    bool(true)
    bool(false)

### See Also

- Phar::getMetadata()
- Phar::setMetadata()
- Phar::delMetadata()

Phar::getVersion
Phar::interceptFileFuncs
Phar
PHP Manual